<?php
/*
Plugin Name: eseely | Url Shortener with 50+ Features
Plugin URI: https://eseely.com
Version: 0.1.0
Author: eseely
Description: eseely is a reliable and secured WordPress plugin for URL shortening.
*/

    // To Add Menu in Admin Panel Sidebar - START
    add_action( 'admin_menu', 'eseely_menu' );
    function eseely_menu(){
        
        $config = add_menu_page( 'eseely', 'eseely', 'manage_options', 'eseely', 'eseely_core_function',plugins_url( 'eseely/logo/menu_icon.png'));
    
        add_action( 'admin_print_styles-' . $config, 'eseely_enqueue_css' );
    	add_action( 'admin_print_scripts-' . $config, 'eseely_enqueue_js' );
    }
    
    function eseely_enqueue_css(){
        wp_enqueue_style('eseely_dashboard_css', plugins_url('assets/css/eseely-dashboard.min.css',__FILE__ ));
        wp_enqueue_style('eseely_metabox_css', plugins_url('assets/css/eseely-metabox.css',__FILE__ ));
    }
   
    function eseely_enqueue_js(){
        
        wp_enqueue_script('eseely_boostrap', plugins_url('assets/js/bootstrap.bundle.min.js',__FILE__ ));
        wp_enqueue_script('eseely_dashboard_js', plugins_url('assets/js/eseely-dashboard.js',__FILE__ ));
    }
    
    require_once('includes/metabox.php'); 
    function eseely_core_function(){
        
            $eseely_auth_token = get_option('eseely_auth_token');
            
            if(!empty($eseely_auth_token)){ //whether get token or not
             ?>  
                <div class="main-content" style="margin-top: 20px;margin-right: 20px;">
                <div id="settings-content" >
                    <nav class="navbar navbar-top navbar-expand-md navbar-dark" id="navbar-main">
                        <div class="container-fluid">
                          <!-- Brand -->
                            <a class="h2 mb-0 text-white text-uppercase d-none d-lg-inline-block" href="#" style="font-size: 1rem;">Dashboard</a>
                            <ul class="navbar-nav align-items-center d-none d-md-flex">
                               <li class="nav-item dropdown">
                                    <a class="nav-link pr-0" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                        <div class="media align-items-center">
                                            <span class="avatar avatar-sm rounded-circle" id="eseely_user_photo">
                                                <img src="<?php echo plugins_url('eseely/assets/img/user.png');?>" width="36" height="36">  
                                            </span>
                                            <div class="media-body ml-2 d-none d-lg-block">
                                                <span class="mb-0 text-sm  font-weight-bold" id="eseely_user_name"></span>
                                            </div>
                                        </div>
                                    </a>
                                    <div class="dropdown-menu dropdown-menu-arrow dropdown-menu-right">
                                        <!-- <div class=" dropdown-header noti-title">
                                          <h6 class="text-overflow m-0">Welcome!</h6>
                                        </div>
                                        <a href="#" class="dropdown-item">
                                          <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-link"><path d="M10 13a5 5 0 0 0 7.54.54l3-3a5 5 0 0 0-7.07-7.07l-1.72 1.71"></path><path d="M14 11a5 5 0 0 0-7.54-.54l-3 3a5 5 0 0 0 7.07 7.07l1.71-1.71"></path></svg>
                                          <span>Links</span>
                                        </a>
                                        <a href="#" class="dropdown-item">
                                          <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-link-2"><path d="M15 7h3a5 5 0 0 1 5 5 5 5 0 0 1-5 5h-3m-6 0H6a5 5 0 0 1-5-5 5 5 0 0 1 5-5h3"></path><line x1="8" y1="12" x2="16" y2="12"></line></svg>
                                          <span>Expired Links</span>
                                        </a>
                                        <div class="dropdown-divider"></div>-->
                                        <a href="#" class="dropdown-item" id="eseely_logout">
                                          <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-log-out"><path d="M9 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h4"></path><polyline points="16 17 21 12 16 7"></polyline><line x1="21" y1="12" x2="9" y2="12"></line></svg>
                                          <span>Logout</span>
                                        </a>
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </nav>
            <?php   
            }else{ 
            ?>  <div class="main-content" style="margin-top: 20px;margin-right: 20px; background: linear-gradient(180deg,#fbfdff 20%,#4285f4) !important;background-attachment: fixed;">
                <div id="user-content">
                    <nav class="navbar navbar-top navbar-horizontal navbar-expand-md navbar-dark">
                        <div class="container px-4">
                            <a class="navbar-brand" href="https://app.eseely.com/login">
                                <img src="<?php echo plugins_url( 'eseely/logo/eseely-logo.png'); ?>" >
                            </a>
                        </div>
                    </nav>
            <?php 
            } ?>
            
                <!-- End Navbar --> 
                <!-- Header -->  
                
                <?php
                $eseely_auth_token = get_option('eseely_auth_token');
                if(!empty($eseely_auth_token)){ 
                    ?>
                    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-6">
                        <div class="container-fluid">
                            <div class="header-body">
                             <!-- Card stats -->
                             <input type="hidden" value="<?php echo $eseely_auth_token; ?>" id="eseely_auth_token">
                             <input type="hidden" value="<?php echo get_option('siteurl'); ?>" id="wp_site_url">
                             <input type="hidden" value="<?php echo plugins_url('eseely/assets/img/user.png');?>" id="eseely_user_image">
                                <div class="row">
                                    <div class="col-xl-3 col-lg-6">
                                        <div class="card card-stats mb-4 mb-xl-0">
                                            <div class="card-body">
                                                <div class="row">
                                                    <div class="col">
                                                        <h5 class="card-title text-uppercase text-muted mb-0 mt-0">Total Links</h5>
                                                        <span class="h2 font-weight-bold mb-0" id="total_links">
                                                            <svg class="lds-swing" width="32px" height="32px" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                                                                <circle cx="71.0767" cy="71.0767" r="9.51795" fill="#4285f4">
                                                                    <animate attributeName="cx" values="71.21320343559643;28.78679656440357;71.21320343559643" keyTimes="0;0.5;1" dur="1.2s" calcMode="spline" keySplines="0.3 0 0.7 1;0.3 0 0.7 1" repeatCount="indefinite" begin="-0.3s"></animate>
                                                                    <animate attributeName="cy" values="71.21320343559643;28.786796564403577;71.21320343559643" keyTimes="0;0.5;1" dur="1.2s" calcMode="spline" keySplines="0.3 0 0.7 1;0.3 0 0.7 1" repeatCount="indefinite" begin="-0.3s"></animate>
                                                                    <animate attributeName="r" values="10;2;10;2;10" keyTimes="0;0.25;0.5;0.75;1" dur="1.2s" repeatCount="indefinite" begin="-0.3s"></animate>
                                                                </circle>
                                                                <circle cx="48.1757" cy="51.8243" r="2.48205" fill="#f4b400">
                                                                    <animate attributeName="cx" values="28.786796564403577;71.21320343559643;28.786796564403577" keyTimes="0;0.5;1" dur="1.2s" calcMode="spline" keySplines="0.3 0 0.7 1;0.3 0 0.7 1" repeatCount="indefinite" begin="0s"></animate>
                                                                    <animate attributeName="cy" values="71.21320343559643;28.78679656440357;71.21320343559643" keyTimes="0;0.5;1" dur="1.2s" calcMode="spline" keySplines="0.3 0 0.7 1;0.3 0 0.7 1" repeatCount="indefinite" begin="0s"></animate>
                                                                    <animate attributeName="r" values="10;2;10;2;10" keyTimes="0;0.25;0.5;0.75;1" dur="1.2s" repeatCount="indefinite" begin="0s"></animate>
                                                                </circle>
                                                            </svg>
                                                        </span>
                                                    </div>
                                                    <div class="col-auto">
                                                        <div class="icon icon-shape bg-danger text-white rounded-circle shadow">
                                                          <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-link"><path d="M10 13a5 5 0 0 0 7.54.54l3-3a5 5 0 0 0-7.07-7.07l-1.72 1.71"></path><path d="M14 11a5 5 0 0 0-7.54-.54l-3 3a5 5 0 0 0 7.07 7.07l1.71-1.71"></path></svg>
                                                        </div>
                                                    </div>
                                                </div>
                                                <p class="mt-3 mb-0 text-muted text-sm" id="links_percentage">
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-3 col-lg-6">
                                        <div class="card card-stats mb-4 mb-xl-0">
                                            <div class="card-body">
                                                <div class="row">
                                                    <div class="col">
                                                        <h5 class="card-title text-uppercase text-muted mb-0 mt-0">Total Clicks</h5>
                                                        <span class="h2 font-weight-bold mb-0" id="total_clicks">
                                                            <svg class="lds-swing" width="32px" height="32px" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                                                                <circle cx="71.0767" cy="71.0767" r="9.51795" fill="#4285f4">
                                                                    <animate attributeName="cx" values="71.21320343559643;28.78679656440357;71.21320343559643" keyTimes="0;0.5;1" dur="1.2s" calcMode="spline" keySplines="0.3 0 0.7 1;0.3 0 0.7 1" repeatCount="indefinite" begin="-0.3s"></animate>
                                                                    <animate attributeName="cy" values="71.21320343559643;28.786796564403577;71.21320343559643" keyTimes="0;0.5;1" dur="1.2s" calcMode="spline" keySplines="0.3 0 0.7 1;0.3 0 0.7 1" repeatCount="indefinite" begin="-0.3s"></animate>
                                                                    <animate attributeName="r" values="10;2;10;2;10" keyTimes="0;0.25;0.5;0.75;1" dur="1.2s" repeatCount="indefinite" begin="-0.3s"></animate>
                                                                </circle>
                                                                <circle cx="48.1757" cy="51.8243" r="2.48205" fill="#f4b400">
                                                                    <animate attributeName="cx" values="28.786796564403577;71.21320343559643;28.786796564403577" keyTimes="0;0.5;1" dur="1.2s" calcMode="spline" keySplines="0.3 0 0.7 1;0.3 0 0.7 1" repeatCount="indefinite" begin="0s"></animate>
                                                                    <animate attributeName="cy" values="71.21320343559643;28.78679656440357;71.21320343559643" keyTimes="0;0.5;1" dur="1.2s" calcMode="spline" keySplines="0.3 0 0.7 1;0.3 0 0.7 1" repeatCount="indefinite" begin="0s"></animate>
                                                                    <animate attributeName="r" values="10;2;10;2;10" keyTimes="0;0.25;0.5;0.75;1" dur="1.2s" repeatCount="indefinite" begin="0s"></animate>
                                                                </circle>
                                                            </svg>
                                                        </span>
                                                    </div>
                                                    <div class="col-auto">
                                                        <div class="icon icon-shape bg-warning text-white rounded-circle shadow">
                                                          <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-loader"><line x1="12" y1="2" x2="12" y2="6"></line><line x1="12" y1="18" x2="12" y2="22"></line><line x1="4.93" y1="4.93" x2="7.76" y2="7.76"></line><line x1="16.24" y1="16.24" x2="19.07" y2="19.07"></line><line x1="2" y1="12" x2="6" y2="12"></line><line x1="18" y1="12" x2="22" y2="12"></line><line x1="4.93" y1="19.07" x2="7.76" y2="16.24"></line><line x1="16.24" y1="7.76" x2="19.07" y2="4.93"></line></svg>
                                                        </div>
                                                    </div>
                                                </div>
                                                <p class="mt-3 mb-0 text-muted text-sm" id="clicks_percentage">
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-3 col-lg-6">
                                        <div class="card card-stats mb-4 mb-xl-0">
                                            <div class="card-body">
                                                <div class="row">
                                                    <div class="col">
                                                        <h5 class="card-title text-uppercase text-muted mb-0 mt-0">Unique Visitors</h5>
                                                        <span class="h2 font-weight-bold mb-0" id="unique">
                                                            <svg class="lds-swing" width="32px" height="32px" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                                                                <circle cx="71.0767" cy="71.0767" r="9.51795" fill="#4285f4">
                                                                    <animate attributeName="cx" values="71.21320343559643;28.78679656440357;71.21320343559643" keyTimes="0;0.5;1" dur="1.2s" calcMode="spline" keySplines="0.3 0 0.7 1;0.3 0 0.7 1" repeatCount="indefinite" begin="-0.3s"></animate>
                                                                    <animate attributeName="cy" values="71.21320343559643;28.786796564403577;71.21320343559643" keyTimes="0;0.5;1" dur="1.2s" calcMode="spline" keySplines="0.3 0 0.7 1;0.3 0 0.7 1" repeatCount="indefinite" begin="-0.3s"></animate>
                                                                    <animate attributeName="r" values="10;2;10;2;10" keyTimes="0;0.25;0.5;0.75;1" dur="1.2s" repeatCount="indefinite" begin="-0.3s"></animate>
                                                                </circle>
                                                                <circle cx="48.1757" cy="51.8243" r="2.48205" fill="#f4b400">
                                                                    <animate attributeName="cx" values="28.786796564403577;71.21320343559643;28.786796564403577" keyTimes="0;0.5;1" dur="1.2s" calcMode="spline" keySplines="0.3 0 0.7 1;0.3 0 0.7 1" repeatCount="indefinite" begin="0s"></animate>
                                                                    <animate attributeName="cy" values="71.21320343559643;28.78679656440357;71.21320343559643" keyTimes="0;0.5;1" dur="1.2s" calcMode="spline" keySplines="0.3 0 0.7 1;0.3 0 0.7 1" repeatCount="indefinite" begin="0s"></animate>
                                                                    <animate attributeName="r" values="10;2;10;2;10" keyTimes="0;0.25;0.5;0.75;1" dur="1.2s" repeatCount="indefinite" begin="0s"></animate>
                                                                </circle>
                                                            </svg>
                                                        </span>
                                                    </div>
                                                    <div class="col-auto">
                                                        <div class="icon icon-shape bg-yellow text-white rounded-circle shadow">
                                                        <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-user"><path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path><circle cx="12" cy="7" r="4"></circle></svg>
                                                        </div>
                                                    </div>
                                                </div>
                                                <p class="mt-3 mb-0 text-muted text-sm" id='unique_percentage'>
                                                    
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                   <div class="col-xl-3 col-lg-6">
                                        <div class="card card-stats mb-4 mb-xl-0">
                                            <div class="card-body">
                                                <div class="row">
                                                    <div class="col">
                                                        <h5 class="card-title text-uppercase text-muted mb-0 mt-0">Referral Domains</h5>
                                                        <span class="h2 font-weight-bold mb-0" id="refferal">
                                                           <svg class="lds-swing" width="32px" height="32px" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                                                                <circle cx="71.0767" cy="71.0767" r="9.51795" fill="#4285f4">
                                                                    <animate attributeName="cx" values="71.21320343559643;28.78679656440357;71.21320343559643" keyTimes="0;0.5;1" dur="1.2s" calcMode="spline" keySplines="0.3 0 0.7 1;0.3 0 0.7 1" repeatCount="indefinite" begin="-0.3s"></animate>
                                                                    <animate attributeName="cy" values="71.21320343559643;28.786796564403577;71.21320343559643" keyTimes="0;0.5;1" dur="1.2s" calcMode="spline" keySplines="0.3 0 0.7 1;0.3 0 0.7 1" repeatCount="indefinite" begin="-0.3s"></animate>
                                                                    <animate attributeName="r" values="10;2;10;2;10" keyTimes="0;0.25;0.5;0.75;1" dur="1.2s" repeatCount="indefinite" begin="-0.3s"></animate>
                                                                </circle>
                                                                <circle cx="48.1757" cy="51.8243" r="2.48205" fill="#f4b400">
                                                                    <animate attributeName="cx" values="28.786796564403577;71.21320343559643;28.786796564403577" keyTimes="0;0.5;1" dur="1.2s" calcMode="spline" keySplines="0.3 0 0.7 1;0.3 0 0.7 1" repeatCount="indefinite" begin="0s"></animate>
                                                                    <animate attributeName="cy" values="71.21320343559643;28.78679656440357;71.21320343559643" keyTimes="0;0.5;1" dur="1.2s" calcMode="spline" keySplines="0.3 0 0.7 1;0.3 0 0.7 1" repeatCount="indefinite" begin="0s"></animate>
                                                                    <animate attributeName="r" values="10;2;10;2;10" keyTimes="0;0.25;0.5;0.75;1" dur="1.2s" repeatCount="indefinite" begin="0s"></animate>
                                                                </circle>
                                                            </svg>
                                                        </span>
                                                    </div>
                                                    <div class="col-auto">
                                                        <div class="icon icon-shape bg-info text-white rounded-circle shadow">
                                                         <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-globe"><circle cx="12" cy="12" r="10"></circle><line x1="2" y1="12" x2="22" y2="12"></line><path d="M12 2a15.3 15.3 0 0 1 4 10 15.3 15.3 0 0 1-4 10 15.3 15.3 0 0 1-4-10 15.3 15.3 0 0 1 4-10z"></path></svg>
                                                        </div>
                                                    </div>
                                                </div>
                                                <p class="mt-3 mb-0 text-muted text-sm" id="referral_percentage">
                                                    
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="container-fluid mt--8" style="min-height: 730px;">
                        <div class="row mt-5">
                            <div class="col-xl-8 mb-5 mb-xl-0">
                                <div class="card shadow">
                                    <div class="card-header border-0">
                                        <div class="row align-items-center">
                                            <div class="col">
                                               <h3 class="mb-0">Top Links</h3>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="table-responsive" style="min-height: 333px;">
                                      <!-- Projects table -->
                                        <table class="table align-items-center table-flush">
                                            <thead class="thead-light" style="text-align:center;">
                                                <tr>
                                                    <th scope="col">Short URL</th>
                                                    <th scope="col">Clicks</th>
                                                    <th scope="col">Alias</th>
                                                    <th scope="col">Custom</th>
                                                </tr> 
                                            </thead>
                                            <tbody id="link_list" style="text-align:center;">
                                            </tbody>
                                        </table>
                                      <div class="res-msg"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="card shadow" style="min-height: 400px;">
                                  <div class="card-header border-0">
                                    <div class="row align-items-center">
                                      <div class="col">
                                        <h3 class="mb-0">Social Traffic</h3>
                                      </div>
                                      <div class="col text-right" style="display:none">
                                        <a href="#!" class="btn btn-sm btn-primary">See all</a>
                                      </div>
                                    </div>
                                  </div>
                                  <div class="table-responsive">
                                    <!-- Projects table -->
                                    <table class="table align-items-center table-flush">
                                      <thead class="thead-light" style="text-align:center;">
                                        <tr>
                                          <th scope="col">Referral</th>
                                          <th scope="col">Visitors</th>
                                          <th scope="col"></th>
                                        </tr>
                                      </thead>
                                      <tbody id="social_traffic" style="text-align:center;">
                                        
                                      </tbody>
                                    </table>
                                  </div>
                                </div>
                            </div>
                        </div>
                    </div>
                
                <?php
                }else{
                ?> 
                
                <input type="hidden" value="<?php echo $eseely_auth_token; ?>" id="eseely_auth_token">
                <input type="hidden" value="<?php echo get_option('siteurl'); ?>" id="wp_site_url">
                <input type="hidden" value="<?php echo plugins_url('eseely/assets/img/user.png');?>" id="eseely_user_image">
                
                    <div class="header ">

                    </div>
                    <div class="container-fluid pb-8 pt-7">
                        <div class="row justify-content-center">
                            <div class="col-10 shadow" style="background: #fff;">
                                <div class="row">
                                    <div class="col-lg-6 col-md-6 p-0 order-md-2">
                                        <div class="card border-0" style="border:none !important; box-shadow: none !important;"> 
                                        <div class="card-body px-lg-5 py-lg-4">
                                          <div class="text-center text-muted mb-4">
                                            <h4>Sign in with API Key</h4>
                                            <p>Get your API key from your eseely dashboard</p>
                                          </div>
                                          
                                            <form id="eseely_api_key_form">
                                                 <div class="row">
                                                     <div class="col-12">
                                                         <div id="api_valid"></div>
                                                         <h6 class="heading-small text-muted mt-0">API Key</h6>
                                                         <div class="pl-lg-4">
                                                             <div class="form-group focused">
                                                                 <!--<label class="form-control-label" for="">Enter Your API Key</label>-->
                                                                 <input type="text" id="eseely_api_key" style="width:100% !important;" class="form-control form-control-alternative mb-3" name="eseely_api_key" placeholder="Enter Your API Key" value="" required>
                                                             </div> 
                                                             <div class="text-center">
                                                                 <button type="submit" class="btn btn-md btn-primary mt-3">Continue</button>
                                                             </div>
                                                         </div>       
                                                     </div>
                                                 </div>    
                                            </form>
                                          
                                            <div class="row mt-5 mb-2">
                                                <div class="col-6">
                                                  <a href="https://app.eseely.com/register" class=""><small>Existing User? Generate API</small></a>
                                                </div>
                                                <div class="col-6 text-right">
                                                  <a href="https://app.eseely.com/register" class=""><small>Create New Account</small></a>
                                                </div>
                                            </div>
                                        </div>
                                      </div>
                                    </div> 
         
         
                                        <div class="col-lg-6 col-md-6 order-md-1">
                                          <div class="card border-0" style="border:none !important"> 
                                            <div class="card-body">
                                                <div class="mb-4">
                                                <h4>Eseely has got a new look!</h4>
                                                <p class="text-justify">We have changed our logo; not our passion for moving forward!Eseely has taken its new logo! It’s been a question now, Why? We have refreshed our visual identity that is more easily understandable and versatile. </p>
                                                <a href="#" data-toggle="modal" data-target="#firstModal">Read More</a>
                                              </div>
                                              <div class="mb-4">
                                                <h4>Custom Domain now available.</h4>
                                                <p class="text-justify">Every brand needs to get discovered and memorable in the minds of prospective customers. No matter what other benefits there, having a custom domain name is always awesome!! Eseely custom domain feature is the one which helps... </p>
                                                    <a href="#" data-toggle="modal" data-target="#secondModal">Read More</a>
                                              </div>
                                                
                                            </div>
                                          </div>
                                        </div> 
                                </div>

                            </div>
                        </div>
                    </div> 
                    
                    
                    <!-- First Modal -->
                    <div class="modal fade" id="firstModal" tabindex="-1" role="dialog" aria-labelledby="firstModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                  <h2 class="modal-title" id="teamModalLabel">Eseely has got a new look!</h2>
                                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                  </button>
                                </div>
                                <div class="modal-body">
                                    <p class="text-justify">We have changed our logo; not our passion for moving forward!</p>
                                    <p class="text-justify">Eseely has taken its new logo! It’s been a question now, Why? We have refreshed our visual identity that is more easily understandable and versatile.We always design and have our product for our users and based on their suggestions, we have finally showcased our new logo with a more balanced feel.</p>
                                    <p class="text-justify">The new look of our logo clearly tells the connection between the symbol and the services we offer! We have done our logo with bright blue color and the font now improves visibility and easy to read. </p>
                                    <p class="text-justify">The look has only been changed and with respect for our past story, we have not changed the name and our vision. We are so excited about our new logo and hope you all like it!</p>
                                    <p>Sincerely,</br>
                                    Nandhini S A</br>
                                    CEO, eseely</p>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                    
                    <!-- Second Modal -->
                    <div class="modal fade" id="secondModal" tabindex="-1" role="dialog" aria-labelledby="secondModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                  <h2 class="modal-title" id="teamModalLabel">Custom Domain now available.</h2>
                                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                  </button>
                                </div>
                                <div class="modal-body">
                                    <p class="text-justify">Every brand needs to get discovered and memorable in the minds of prospective customers. No matter what other benefits there, having a custom domain name is always awesome!! </p>
                                    <p class="text-justify">Eseely custom domain feature is the one which helps to increase the credibility and to have consistent branding and increased link trust. 
                                    Get Started now to discover how a custom branded domain can help you to increase the clicks.</p>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php
                }
                ?>
            </div>
        </div>
        <footer class="footer" style="display:none">
            <div class="row align-items-center justify-content-xl-between">
                <div class="col-xl-6">
                    <div class="copyright text-center text-xl-left text-muted">
                       <div class="copyright">eseely © Copyright 2020 Made with <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="#4285F4" stroke="#4285F4" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-heart"><path d="M20.84 4.61a5.5 5.5 0 0 0-7.78 0L12 5.67l-1.06-1.06a5.5 5.5 0 0 0-7.78 7.78l1.06 1.06L12 21.23l7.78-7.78 1.06-1.06a5.5 5.5 0 0 0 0-7.78z"></path></svg>  in Coimbatore</div>
                    </div>
                </div>
                <div class="col-xl-6" style="display:none">
                    <ul class="nav nav-footer justify-content-center justify-content-xl-end" style="margin-right:21px;">
                        <li class="nav-item">
                          <a href="#" class="nav-link" target="_blank">About Us</a>
                        </li>
                        <li class="nav-item">
                          <a href="#" class="nav-link" target="_blank">Blogs</a>
                        </li>
                    </ul>
                </div>
            </div>
        </footer>
        
           
    <?php
    }
    /* Update the Token in DB - START */
    function update_eseely_auth_token_db(){
        global $wpdb;
        if ( isset($_POST['eseely_auth_token']) ) {
            
            $token = sanitize_text_field($_POST['eseely_auth_token']);
            update_option('eseely_auth_token',$token);
            
        }
    }       
    add_action( 'wp_ajax_update_eseely_auth_token_db', 'update_eseely_auth_token_db' );
    

    function eseely_post_meta_update(){ 
        global $wpdb;
        
        $post_id = sanitize_text_field($_POST['post_id']);
        $short_url = esc_url_raw($_POST['short_url']);
        $alias = sanitize_text_field($_POST['alias']);
        $custom = sanitize_text_field($_POST['custom']);
        $exp_date = sanitize_text_field($_POST['exp_date']);
        $url_id = sanitize_text_field($_POST['url_id']);
        
        update_post_meta($post_id,'eseely_success',1);
        update_post_meta($post_id,'eseely_short_url',$short_url);
        update_post_meta($post_id,'eseely_alias', $alias);
        update_post_meta($post_id,'eseely_custom', $custom);
        update_post_meta($post_id,'eseely_exp_date', $exp_date);
        update_post_meta($post_id,'eseely_url_id', $url_id);
    }       
    add_action( 'wp_ajax_eseely_post_meta_update', 'eseely_post_meta_update' );

    
    /* Update the empty Token in DB [revoke] - START */
    function eseely_revoke_access(){
        global $wpdb;
        update_option('eseely_auth_token','');
    }       
    add_action( 'wp_ajax_eseely_revoke_access', 'eseely_revoke_access' );
